/*** Diseño General ***/

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    background-color: white;
    color: #111111;
    font-family: "Arial Narrow", Arial, sans-serif;
}


/*** Encabezado ***/

.encabezado {
    min-height: 95px;
    padding: 20px 3%;

    background-color: #b4c7dd;

    display: flex;
    align-items: center;
    justify-content: space-between;
}


/*** Nombre Villa Olímpica ***/

.marca {
    font-family: Georgia, "Times New Roman", serif;
    font-size: 34px;
    white-space: nowrap;
}


/*** Menú ***/

.menu {
    list-style: none;

    display: flex;
    align-items: center;
    gap: 35px;

    margin: 0;
    padding: 0;
}


.menu a {
    color: #111111;
    text-decoration: none;

    font-family: Georgia, "Times New Roman", serif;
    font-size: 25px;
}


.menu a:hover {
    text-decoration: underline;
}

/*** Página de Inicio Grande a 3 Columnas ***/

.contenido-inicio {

    max-width: 1150px;
    margin: 0 auto;

    padding: 40px 30px 25px;

    display: grid;

    /* Tres columnas parecidas a tu Figma */
    grid-template-columns: 27% 40% 33%;

    gap: 30px;

    align-items: center;
}


/*** Logotipo ***/

.bloque-logo {
    display: flex;
    justify-content: center;
    align-items: center;
}

.logo-principal {
    width: 100%;
    max-width: 270px;
    height: auto;
}


/*** Texto ***/

.descripcion {
    align-self: start;
}

.subtitulo {
    font-size: 19px;
    margin-bottom: 12px;
}

.descripcion h1 {

    margin-top: 0;
    margin-bottom: 20px;

    font-size: 28px;
    font-weight: normal;
}

.descripcion h2 {

    font-size: 24px;
    font-weight: normal;

    margin-top: 18px;
    margin-bottom: 10px;
}

.descripcion p {

    font-size: 17px;
    line-height: 1.35;

    margin-top: 0;
    margin-bottom: 3px;
}

.descripcion .compromiso {
    margin-left: 5px;
}


/*** Imagen de la Tienda ***/

.bloque-tienda {
    width: 100%;
}

.foto-tienda {
    display: block;

    width: 100%;
    height: 200px;

    object-fit: cover;
}


/*** Horario ***/

.horario {

    margin-top: 35px;

    background-color: #dddddd;

    display: flex;
    align-items: center;

    padding: 8px 15px;

    gap: 30px;
}


.icono-horario {

    width: 58px;
    height: 58px;

    object-fit: contain;
}


.horario p {

    margin: 5px 0;
    font-size: 17px;
}


/*** Más Vendidos Grande a 3 Columnas ***/

.productos {

    width: 100%;

    padding: 22px 2.7% 10px;

    display: grid;

    grid-template-columns: repeat(3, 1fr);

    gap: 10px 45px;
}


/* Espacio para productos */

.producto {

    min-height: 340px;

    background-color: #dddddd;

    padding: 10px 25px 15px;

    text-align: center;
}


.producto h2 {

    margin: 0 0 18px;

    font-size: 27px;
    font-weight: normal;
}


.producto img {

    display: block;

    width: auto;
    max-width: 150px;
    height: 115px;

    object-fit: contain;

    margin: 0 auto 10px;
}


.producto p {

    font-size: 19px;
    line-height: 1.35;

    text-align: left;
}


.producto .precio {

    text-align: center;

    font-size: 20px;

    margin: 8px 0 20px;
}

.producto-horizontal {

    display: flex;

    align-items: center;

    gap: 25px;

    text-align: left;
}


.producto-horizontal img {

    width: 135px;
    height: 235px;

    flex-shrink: 0;
}


.producto-horizontal p {
    flex: 1;
}


/*** Footer ***/

.footer {

    background-color: #909090;
    color: white;

    padding: 12px 2.5%;

    display: grid;

    grid-template-columns: repeat(3, 1fr);

    gap: 50px;

    min-height: 145px;
}


.footer h3 {

    font-size: 23px;

    margin: 0 0 5px;

    font-weight: normal;
}


.footer p {

    margin: 2px 0;

    font-size: 16px;
}


.redes {

    display: flex;

    align-items: center;

    gap: 4px;

    margin-top: 10px;
}


.redes img {

    width: 40px;
    height: 40px;

    object-fit: contain;
}


/*** Mediano a 2 Columnas ***/

@media (min-width: 601px) and (max-width: 900px) {

    /* Menú */

    .encabezado {

        flex-direction: column;

        gap: 20px;

        text-align: center;
    }

    .menu {

        flex-wrap: wrap;

        justify-content: center;

        gap: 18px 25px;
    }

    .menu a {

        font-size: 20px;
    }



    .contenido-inicio {

        grid-template-columns: repeat(2, 1fr);

        padding: 30px 25px;
    }


    /* La fotografía pasa a la siguiente fila */

    .bloque-tienda {

        grid-column: 1 / -1;
    }


    .foto-tienda {

        max-width: 500px;

        margin: auto;
    }


    .horario {

        max-width: 500px;

        margin: 20px auto 0;
    }


    /*** Más Vendidos Grande a 2 Columnas ***/

    .productos {

        grid-template-columns: repeat(2, 1fr);

        gap: 15px;
    }


    /* Footer */

    .footer {

        grid-template-columns: repeat(2, 1fr);
    }

}


/*** Pequeño a 1 Columna ***/

@media (max-width: 600px) {


    /* Menú */

    .encabezado {

        flex-direction: column;

        padding: 20px;

        gap: 20px;
    }


    .marca {

        font-size: 30px;
    }


    .menu {

        flex-direction: column;

        gap: 10px;

        text-align: center;
    }


    .menu a {

        font-size: 20px;
    }


    /*** Página de Inicio Pequeño a 1 Columnas ***/

    .contenido-inicio {

        grid-template-columns: 1fr;

        padding: 25px 20px;
    }


    .bloque-logo {

        margin-bottom: 15px;
    }


    .descripcion {

        text-align: left;
    }


    .foto-tienda {

        height: auto;
    }


    .horario {

        margin-top: 15px;
    }


    /*** Más Vendidos Pequeño a 1 Columnas ***/

    .productos {

        grid-template-columns: 1fr;

        padding: 15px;
    }


    .producto {

        min-height: auto;
    }

    .producto-horizontal {

        flex-direction: column;

        gap: 5px;
    }


    .producto-horizontal img {

        width: auto;

        max-width: 180px;

        height: 220px;
    }


    /*** Foter a 1 columna ***/

    .footer {

        grid-template-columns: 1fr;

        gap: 25px;

        text-align: center;

        padding: 25px;
    }


    .redes {

        justify-content: center;
    }

}